Trading with MT4? Make sure you are using the latest version of the app before July 1

Google+ Pinterest LinkedIn Tumblr +

MetaQuotes Software, the developer of MetaTrader 4 platform, announced that from July 1, 2019, they are canceling support of the older versions of their software. Here’s the exact message we received:

After July 1, 2019, we end support for all MetaTrader 4 platform components below 1170. Old terminal versions will not be able to connect to broker trading servers.

It’s not a big deal for the majority of the SimpleFX traders as the vast majority of you use the newest version of the MT4, updated on December 20, 2018. 

However, if you haven’t updated your MT4 software for a longer time, it’s a good opportunity to install the newest version of the platform available here: https://simplefx.com/downloads.

To all MT4 traders, we highly recommend trading with our SimpleFX WebTrader - an award-winning app that’s fast works on every screen and has unlimited advanced features with its API manager.

Share

About Author

Leave A Reply

Translate »